ARG NSI_IMAGE_TAG
FROM siscc/sdmxri-nsi-maapi:${NSI_IMAGE_TAG} as nsi-ws

COPY log4net.config /app/config/log4net.config
COPY scripts/dotnet-log-filter.sh /app/log-filter.sh

ENV auth__allowAnonymous="true"
ENV auth__requireHttps="false"
ENV auth__validateIssuer="false"
ENV auth__showPii="true"
ENV disseminationDbConnection__dbType=SqlServer
ENV MA_ALWAYS_RESET=N
ENV INSERT_NEW_ITEM_SCHEME_VALUES="true"
ENV enableReleaseManagement="true"

ENTRYPOINT ["./log-filter.sh"]

FROM nsi-ws as testbetrieb

FROM nsi-ws

